;----------------------------------------------------------------------------
;    MODULE NAME:   LINECRLF.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   31 Jan 1999 17:40:52  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/LINECRLF.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "LINECRLF.XH".
;
;                   Compile with "ppwizard LINECRLF.X /rexx"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/LINECRLF.X_V   1.1   31 Jan 1999 17:40:52   Dennis_Bareis  $
 */

/*--- Include the support code ----------------------------------------------*/
#include "LineCrLf.XH"

/*--- Get Name of file to read from command line ----------------------------*/
FileName = strip(arg(1));
if stream(FileName, 'c', 'query exists') = '' then
do
   say "Can't" || ' find the file"' || FileName || '" to read!';
   exit(255);
end;

/*--- Open the file ---------------------------------------------------------*/
say  FileName
say  copies('~', length(FileName));
call CrlfOpen FileName

/*--- Process all lines in the file -----------------------------------------*/
LineNumber = 0;
do while CrLflines(FileName) <> 0
   LineNumber = LineNumber + 1;
   say '<' || LineNumber || '>' || CrLflinein(FileName);
end;

/*--- Close the file --------------------------------------------------------*/
FileState = stream(FileName, 'Description');
if left(FileState,6) <> 'READY:' then
do
   /*--- Maybe just EOF? ----------------------------------------------------*/
   if  FileState <> "NOTREADY:EOF" then
       say 'IO error, Reason = ' || FileState;
end;
call CrlfClose FileName;
return(0);


